Skip to main content
PUT
/
v0
/
instance
Update the current Instance
curl --request PUT \
  --url https://api.sandbox.teal.dev/v0/instance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'teal-instance-id: <teal-instance-id>' \
  --data '
{
  "entries_start": "2024-01-01T00:00:00Z",
  "name": "ACME Goods Inc",
  "accounting_basis": "accrual"
}
'
{
  "id": "<string>",
  "entries_start": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "accounting_package": "platformgl",
  "accounting_basis": "accrual"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Body

application/json
entries_start
string<date-time> | null

The datetime in UTC time from which the API will sync an Instance's accounting data. Transactions or journal entries cannot be entered before this date. The time component is ignored — the value is always stored as start-of-day UTC (00:00:00Z).

Example:

"2024-01-01T00:00:00Z"

name
string | null

The name of the business.

Example:

"ACME Goods Inc"

accounting_basis
enum<string> | null

The accounting method used: cash basis or accrual basis.

Available options:
cash,
accrual
Example:

"accrual"

Response

Successful Response

id
string
required

The unique ID of the object.

Example:

"RKtPbubK5NcbBsUmU1ktSP"

entries_start
string<date-time>
required

The datetime in UTC time from which the API will sync an Instance's accounting data. Transactions or journal entries cannot be entered before this date. The time component is ignored — the value is always stored as start-of-day UTC (00:00:00Z).

Example:

"2024-01-01T00:00:00Z"

name
string
required

The name of the business.

Example:

"ACME Goods Inc"

subscription
enum<string>
required

The Instance's subscription tier.

Available options:
tier0,
tier1,
tier2,
tier3,
tier4
Example:

"tier3"

accounting_package
enum<string>
required

The type of accounting package the Instance uses as the source of truth for their books.

Available options:
platformgl
Example:

"platformgl"

accounting_basis
enum<string> | null

The accounting method used: cash basis or accrual basis.

Available options:
cash,
accrual
Example:

"accrual"